Package org.jboss.logmanager.filters

## Class AcceptAllFilter

- java.lang.Object
- - org.jboss.logmanager.filters.AcceptAllFilter

All Implemented Interfaces:
  `java.util.logging.Filter`

    public final class AcceptAllFilter
    extends java.lang.Object
    implements java.util.logging.Filter

An accept-all filter.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AcceptAllFilter` `getInstance()` Get the filter instance.
`boolean` `isLoggable​(java.util.logging.LogRecord record)` Always returns `true`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isLoggable

    public boolean isLoggable​(java.util.logging.LogRecord record)

Always returns `true`.

Specified by:
  `isLoggable` in interface `java.util.logging.Filter`
Parameters:
  `record` - ignored
Returns:
  `true`

#### getInstance

    public static AcceptAllFilter getInstance()

Get the filter instance.

Returns:
  the filter instance